Package org.eclipse.lemminx.utils.platform

## Class Version

- java.lang.Object
- - org.eclipse.lemminx.utils.platform.Version

    public class Version
    extends Object

LemMinX version information The information is read from git

### Field Summary

Fields
`static String` `MAIN_BRANCH`

### Constructor Summary

Constructors
`Version()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getBranch()` Returns the git branch.
`String` `getCommitMessage()` Returns the first line of the git commit message.
`String` `getShortCommitId()` Returns the git short commit id.
`String` `getVersionNumber()` Returns the version number of LemMinX.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MAIN_BRANCH

    public static final String MAIN_BRANCH

See Also:
  Constant Field Values

### Constructor Detail

#### Version

    public Version()

### Method Detail

#### getVersionNumber

    public String getVersionNumber()

Returns the version number of LemMinX.

Returns:
  the version number of LemMinX

#### getShortCommitId

    public String getShortCommitId()

Returns the git short commit id. eg. 4f2ed3d

Returns:
  the git short commit id

#### getCommitMessage

    public String getCommitMessage()

Returns the first line of the git commit message.

Returns:
  the first line of the git commit message

#### getBranch

    public String getBranch()

Returns the git branch.

Returns:
  the git branch